Bug 147571 - pexpect fails to build on x86_64 due to differing library paths
pexpect fails to build on x86_64 due to differing library paths
Product: Fedora
Classification: Fedora
Component: pexpect (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-02-09 08:56 EST by Toshio Kuratomi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-10 15:59:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to update macros so x86_64 builds work (2.22 KB, patch)
2005-02-09 09:05 EST, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Kuratomi 2005-02-09 08:56:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The build of pexpect on x86_64 fails.  This is due to listing the files to be included using the arch specific directories.  Because x86_54 is multilib we need to put them into the arch independent directories instead.  Updating to the macros recommended in the latest fedora-rpmdeveltools fixes this.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On x86_64 attempt rpmbuild -ba pexpect.spec

Actual Results:  Errors as seen at http://fedoraproject.org/extras/3/build-logs/x86_64/pexpect.log

Expected Results:  Build completes with a pexpect rpm package.

Additional info:
Comment 1 Toshio Kuratomi 2005-02-09 09:05:10 EST
Created attachment 110868 [details]
Patch to update macros so x86_64 builds work

Patch against the CVS devel branch to get the x86_64 build to work.  This
updates the spec to use the latest macros specified in

Tested on x86_64 by Aurelian Bompard:
Comment 2 Thorsten Leemhuis 2005-02-10 14:26:48 EST
Panu, if the patch here it's okay (it's okay in my eyes) just say and
I'll commit.
Comment 3 Panu Matilainen 2005-02-10 14:43:00 EST
Sure, go ahead. For these cases if things seem ok just go ahead and
commit, no need to get "approval" from me. I'm kinda out of business
anyway until I get CVS access (which has nothing to do with RH, I just
need to get an "OK" from my employees lawyers who are being sloooooow
about this)
Comment 4 Thorsten Leemhuis 2005-02-10 15:22:11 EST
>Sure, go ahead.
Committed and build requested.

>For these cases if things seem ok just go ahead and
>commit, no need to get "approval" from me


Panu, Toshio, can any of you close this bug? Thanks.

Note You need to log in before you can comment on or make changes to this bug.